/*
 * csta-m.h : Addons the CSTA standard files (.[ch] from .asn1)
 */


#ifndef _CSTA_M_H
#define _CSTA_M_H


#include <asn-incl.h>


#define MAX_INVOKE	100


/* Internal identification used to adjust the PDU with the ANYs routines */
typedef enum CSTAAnyID {
	/* ANY in the ROIVapdu */
	ALTERNATE_CALL = 1,
	ANSWER_CALL = 2,
	CALL_COMPLETION = 3,
        CLEAR_CONNECTION = 5,
        CONFERENCE_CALL = 6,
        CONSULTATION_CALL = 7,
        DIVERT_CALL = 8,
        HOLD_CALL = 9,
        MAKE_CALL = 10,
        MAKE_PREDICTIVECALL = 11,
        QUERY_DEVICE = 12,
        RECONNECT_CALL = 13,
        RETRIEVE_CALL = 14,
        SET_FEATURE = 15,
        TRANSFER_CALL = 16,
        EVENT_REPORT = 21,
        SYSTEM_STATUS = 52,
        MONITOR_START = 71,
        CHANGE_MONITORFILTER = 72,
        MONITOR_STOP = 73,
        SNAPSHOT_DEVICE = 74,
	
        /* ANY in the RORSapdu : virtual !!! */
	CONFERENCECALLRS = 106,
	CONSULTATIONCALLRS = 107,
	DIVERTCALLRS = 108,
	MAKECALLRS = 110,
	QUERYDEVICERS = 112,
	TRANSFERCALLRS = 116,
	MONITORSTARTRS = 171,
	MONITORSTOPRS = 173,

	/* ANY in the EventReport : virtual !!! */
        R_CONFERENCED = 202,
        R_CONNECTIONCLEARED = 203,   
        R_DELIVERED = 204,
        R_DIVERTED = 205,
        R_ESTABLISHED = 206,
        R_FAILED = 207,
        R_HELD = 208,
        R_NETWORKREACHED = 209,
        R_ORIGINATED = 210,
        R_QUEUED = 211,
        R_RETRIEVED = 212,
        R_SERVICEINITIATED = 213,
        R_TRANSFERRED = 214,
        R_DONOTDISTURB = 302,
        R_FORWARDING = 303,
        R_LOGGEDON = 401,
        R_LOGGEDOFF = 402,
        R_NOTREADY = 403,
        R_READY = 404,
        R_BACKINSERVICE = 501,
        R_OUTOFSERVICE = 502,

	/* Pope everything ! */
	R_PRIVATE = 1000
} CSTAAnyID;


/* Routine that creates a hash table for SetAnyByInt */
void CSTAM_InitAny();


/* Routine that maps the InvokeIDs in CSTAAnyIDs in RORS */
CSTAAnyID CSTAM_InvokeIDToAnyID(AsnInt invokeID);


/* Routine that converts EventType in EventReport for AnyID */
#define CSTAM_EventTypeToAnyID(x)	((x)+200)


/* Routines that adds/removes invocations from the table */
void CSTAM_InvokeTableInit();
void CSTAM_InvokeTableTerm();
int CSTAM_InvokeRegister(AsnInt invokeID, CSTAAnyID anyID);
void CSTAM_InvokeUnRegister(AsnInt invokeID);


#endif /* _CSTA_M_H */
