#!/bin/sh
#
# Compile some ASN.1 specs using SNACC


SNACC_BIN=`snacc-config --compiler`
SNACC_USEFUL=`snacc-config --asn1specs`/asn-useful.asn1

if [ -f $1 ]
then
	echo -e "$SNACC_BIN -c -u $SNACC_USEFUL $1 2> snacc.errs"

	$SNACC_BIN -c -u $SNACC_USEFUL $1 2> snacc.errs
else
	echo "Error: asn.sh: bad or missing specs file"
	echo "Usage: asn.sh <specs file>"
	exit 1
fi

if [ "$?" != "0" ]
then
	echo "Error: asn.sh: ASN.1 compilation error (see snacc.errs)"
	exit 1
fi
