#!/bin/sh
#
# Fix SNACC compilation errors of the CSTA ASN.1 specs

if [ $1 ]
then
	ASN1_SRC=$1
else
	echo "Error: cstafix.sh: missing argument"
	echo "Usage: cstafix.sh <basename>"
	exit 1
fi

if [ -f $ASN1_SRC.c ]
then
	sed -f fixc.sed $ASN1_SRC.c > $ASN1_SRC.c.fixed
	cp $ASN1_SRC.c.fixed $ASN1_SRC.c
	rm -f $ASN1_SRC.c.fixed
else
	echo -e "Error: cstafix.sh: bad or missing file $ASN1_SRC.c"
	exit 1
fi

patch $ASN1_SRC.c $ASN1_SRC.c.patch 

if [ -f $ASN1_SRC.h ]
then
	sed -f fixh.sed $ASN1_SRC.h > $ASN1_SRC.h.fixed
	cp $ASN1_SRC.h.fixed $ASN1_SRC.h
	rm -f $ASN1_SRC.h.fixed
else
	echo -e "Error: cstafix.sh: bad or missing file $ASN1_SRC.h\n"
	exit 1
fi
