/*
 * makecall.c : test program to make a simple call
 * 
 * Copyright (C) 2000 Alcve and Julien Gaulmin <julien.gaulmin@fr.alcove.com>
 *
 * Based on work from :
 * Francisco Espinoza Junior and Philippe de M. Sevestre
 * Dedalus Engenharia S/C Ltda - Convenio GMK/FDTE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA or look at http://www.gnu.org/copyleft/gpl.html
 */

#include <stdio.h>
#include <tspsock.h>
#include <string.h>
#include <stdlib.h>

#define	MAX_PHONE_SIZE	10

int main(int argc, char *argv[])
{
	int	socket_ds;
	char	phone[MAX_PHONE_SIZE];
	int	phone_size;

	if (argc == 2) {
		//printf("Client is running...\n");

		strncpy(phone, argv[1], MAX_PHONE_SIZE);
		phone_size = strlen(phone);
		//printf("MakeCall on '%s' (%d char(s))\n", phone, phone_size);
	} else {
		//printf("Usage: makecall <phone_number>\n");
		exit(-1);
	}

	socket_ds = tsp_open_socket("udp", "morgan", "3333", CLIENT);	
	if (socket_ds < 0) {
	   	perror("makecall.c: main(): unable to do tsp_open_socket");
		exit(-1);
	}

	//printf("Socket ready for Morgan[3333]\n");	

	//printf("Sending...\n");

	//tsp_write_socket(socket_ds, (void *) &phone_size, sizeof(int));
	tsp_write_socket(socket_ds, (void *) &phone, phone_size);

	tsp_close_socket(socket_ds);

	//printf("\nEnd of client\n");
	return(0);
}
